export interface SortEvent {
    sortBy: string | string[];
    sortOrder: string;
}
export interface PageEvent {
    activePage: number;
    rowsOnPage: number;
    dataLength: number;
}
export declare type SortOrder = "asc" | "desc";
export interface ColumnParams<R> {
    name: string;
    field: keyof R;
    tooltip?: string;
    valueHtml?: (r: R) => string;
    valueTooltip?: (r: R) => string;
}
export declare class Column<R extends object> {
    name: string;
    field: keyof R;
    tooltip: string;
    valueHtml(r: R): string;
    valueTooltip(r: R): string | undefined;
    constructor(obj: ColumnParams<R>);
}
